Package com.independentsoft.office.word.fields

# Enum Class TextBoxFormFieldType

java.lang.Object
java.lang.Enum<TextBoxFormFieldType>
com.independentsoft.office.word.fields.TextBoxFormFieldType

All Implemented Interfaces:
  `Serializable`, `Comparable<TextBoxFormFieldType>`, `Constable`

public enum TextBoxFormFieldType extends Enum<TextBoxFormFieldType>
The Enum TextBoxFormFieldType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CALCULATED`
  `CURRENT_DATE`
  `CURRENT_TIME`
  `DATE`
  `NONE`
  `NUMBER`
  `REGULAR`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextBoxFormFieldType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TextBoxFormFieldType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CALCULATED

    public static final TextBoxFormFieldType CALCULATED

  - ### CURRENT_DATE

    public static final TextBoxFormFieldType CURRENT_DATE

  - ### CURRENT_TIME

    public static final TextBoxFormFieldType CURRENT_TIME

  - ### DATE

    public static final TextBoxFormFieldType DATE

  - ### NUMBER

    public static final TextBoxFormFieldType NUMBER

  - ### REGULAR

    public static final TextBoxFormFieldType REGULAR

  - ### NONE

    public static final TextBoxFormFieldType NONE

- ## Method Details

  - ### values

    public static TextBoxFormFieldType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TextBoxFormFieldType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null